package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.Npvo;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.wrapper.Wrapper;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Yfjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/yfjk")
    public BaseResponse<JSONObject> data(){


        String var = pointPosition.getPointPosition("qsyyfjk");
        String res = httpClientService.httpService(var);
        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
        List<ReadResults> readResultsList = wrapper.getReadResults();
//        TestData testData = new TestData();
//        List<ReadResults> readResultsList = testData.getListData();
        List<Map<String,Object>> list = new ArrayList<>();
        Map<String,Object> map = new HashMap<>();
        map.put("name","1#空压");
        map.put("status",readResultsList.get(0).getV());
        list.add(map);
        Map<String,Object> map1 = new HashMap<>();
        map1.put("name","2#空压");
        map1.put("status",readResultsList.get(8).getV());
        list.add(map1);
        Map<String,Object> map2 = new HashMap<>();
        map2.put("name","3#空压");
        map2.put("status",readResultsList.get(16).getV());
        list.add(map2);


        List<Npvo<List<String>>> data = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(1).getV());
        data.add(new Npvo<>("气压(Mpa)", var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(2).getV());
        data.add(new Npvo<>("排空阀", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(3).getV());
        data.add(new Npvo<>("送气阀", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(4).getV());
        data.add(new Npvo<>("系统阀", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(5).getV());
        data.add(new Npvo<>("罐温(℃)", var5));
        List<String> var21 = new ArrayList<>();
        var21.add(readResultsList.get(6).getV());
        data.add(new Npvo<>("罐报警值(℃)", var21));
        List<String> var22 = new ArrayList<>();
        var22.add(readResultsList.get(7).getV());
        data.add(new Npvo<>("罐压(Mpa)", var22));


        List<Npvo<List<String>>> data1 = new ArrayList<>();
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(9).getV());
        data1.add(new Npvo<>("气压(Mpa)", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(10).getV());
        data1.add(new Npvo<>("排空阀", var7));
        List<String> var8 = new ArrayList<>();
        var8.add(readResultsList.get(11).getV());
        data1.add(new Npvo<>("送气阀", var8));
        List<String> var9 = new ArrayList<>();
        var9.add(readResultsList.get(12).getV());
        data1.add(new Npvo<>("系统阀", var9));
        List<String> var10 = new ArrayList<>();
        var10.add(readResultsList.get(13).getV());
        data1.add(new Npvo<>("罐温(℃)", var10));
        List<String> var23 = new ArrayList<>();
        var23.add(readResultsList.get(14).getV());
        data1.add(new Npvo<>("罐报警值(℃)", var23));
        List<String> var24 = new ArrayList<>();
        var24.add(readResultsList.get(15).getV());
        data1.add(new Npvo<>("罐压(Mpa)", var24));



        List<Npvo<List<String>>> data2 = new ArrayList<>();
        List<String> var11 = new ArrayList<>();
        var11.add(readResultsList.get(17).getV());
        data2.add(new Npvo<>("气压(Mpa)", var11));
        List<String> var12 = new ArrayList<>();
        var12.add(readResultsList.get(18).getV());
        data2.add(new Npvo<>("排空阀", var12));
        List<String> var13 = new ArrayList<>();
        var13.add(readResultsList.get(19).getV());
        data2.add(new Npvo<>("送气阀", var13));
        List<String> var14 = new ArrayList<>();
        var14.add(readResultsList.get(20).getV());
        data2.add(new Npvo<>("系统阀", var14));
        List<String> var15 = new ArrayList<>();
        var15.add(readResultsList.get(21).getV());
        data2.add(new Npvo<>("罐温(℃)", var15));
        List<String> var25 = new ArrayList<>();
        var25.add(readResultsList.get(22).getV());
        data2.add(new Npvo<>("罐报警值(℃)", var25));
        List<String> var26 = new ArrayList<>();
        var26.add(readResultsList.get(23).getV());
        data2.add(new Npvo<>("罐压(Mpa)", var26));


        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("data",data);
        result.put("data1", data1);
        result.put("data2", data2);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
