package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.*;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 甲带给料机
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Jdglj {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/jdglj")
    public BaseResponse<JSONObject> data(){


//        String var = pointPosition.getPointPosition("");
//        String res = httpClientService.httpService(var);
//        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
//        List<ReadResults> readResultsList = wrapper.getReadResults();
        TestData testData = new TestData();
        List<ReadResults> readResultsList = testData.getListData();
        List<Map<String,Object>> list = new ArrayList<>();
        Map<String,Object> map = new HashMap<>();
        map.put("name","1#甲带给料机");
        map.put("status",readResultsList.get(0).getV());
        list.add(map);
        Map<String,Object> map1 = new HashMap<>();
        map1.put("name","2#甲带给料机");
        map1.put("status",readResultsList.get(6).getV());
        list.add(map1);
        Map<String,Object> map2 = new HashMap<>();
        map2.put("name","3#甲带给料机");
        map2.put("status",readResultsList.get(12).getV());
        list.add(map2);
        Map<String,Object> map3 = new HashMap<>();
        map3.put("name","4#甲带给料机");
        map3.put("status",readResultsList.get(18).getV());
        list.add(map3);


        List<Npvo<List<String>>> m = new ArrayList<>();
        List<String> var1 = new ArrayList<>();
        var1.add(readResultsList.get(1).getV());
        m.add(new Npvo<>("变频器电压(V)", var1));
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(2).getV());
        m.add(new Npvo<>("变频器输出电压(V)", var2));
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(3).getV());
        m.add(new Npvo<>("变频器输出电流(A)", var3));
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(4).getV());
        m.add(new Npvo<>("变频器频率(Hz)", var4));
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(5).getV());
        m.add(new Npvo<>("变频器温度(℃)", var5));


        List<Npvo<List<String>>> m1 = new ArrayList<>();
        List<String> var6 = new ArrayList<>();
        var6.add(readResultsList.get(7).getV());
        m1.add(new Npvo<>("变频器电压(V)", var6));
        List<String> var7 = new ArrayList<>();
        var7.add(readResultsList.get(8).getV());
        m1.add(new Npvo<>("变频器输出电压(V)", var7));
        List<String> var8 = new ArrayList<>();
        var8.add(readResultsList.get(9).getV());
        m1.add(new Npvo<>("变频器输出电流(A)", var8));
        List<String> var9 = new ArrayList<>();
        var9.add(readResultsList.get(10).getV());
        m1.add(new Npvo<>("变频器频率(Hz)", var9));
        List<String> var10 = new ArrayList<>();
        var10.add(readResultsList.get(11).getV());
        m1.add(new Npvo<>("变频器温度(℃)", var10));


        List<Npvo<List<String>>> m2 = new ArrayList<>();
        List<String> var11 = new ArrayList<>();
        var11.add(readResultsList.get(13).getV());
        m2.add(new Npvo<>("变频器电压(V)", var11));
        List<String> var12 = new ArrayList<>();
        var12.add(readResultsList.get(14).getV());
        m2.add(new Npvo<>("变频器输出电压(V)", var12));
        List<String> var13 = new ArrayList<>();
        var13.add(readResultsList.get(15).getV());
        m2.add(new Npvo<>("变频器输出电流(A)", var13));
        List<String> var14 = new ArrayList<>();
        var14.add(readResultsList.get(16).getV());
        m2.add(new Npvo<>("变频器频率(Hz)", var14));
        List<String> var15 = new ArrayList<>();
        var15.add(readResultsList.get(17).getV());
        m2.add(new Npvo<>("变频器温度(℃)", var15));




        List<Npvo<List<String>>> m3 = new ArrayList<>();
        List<String> var16 = new ArrayList<>();
        var16.add(readResultsList.get(19).getV());
        m3.add(new Npvo<>("变频器电压(V)", var16));
        List<String> var17 = new ArrayList<>();
        var17.add(readResultsList.get(20).getV());
        m3.add(new Npvo<>("变频器输出电压(V)", var17));
        List<String> var18 = new ArrayList<>();
        var18.add(readResultsList.get(21).getV());
        m3.add(new Npvo<>("变频器输出电流(A)", var18));
        List<String> var19 = new ArrayList<>();
        var19.add(readResultsList.get(22).getV());
        m3.add(new Npvo<>("变频器频率(Hz)", var19));
        List<String> var20 = new ArrayList<>();
        var20.add(readResultsList.get(23).getV());
        m3.add(new Npvo<>("变频器温度(℃)", var20));

        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("m",m);
        result.put("m1",m1);
        result.put("m2",m2);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
