package com.jwkj.qsydw.controller;

import com.alibaba.fastjson2.JSONObject;
import com.jwkj.qsydw.services.HttpClientService;
import com.jwkj.qsydw.vo.PointPosition;
import com.jwkj.qsydw.vo.ReadResults;
import com.jwkj.qsydw.vo.StatusVo;
import com.jwkj.qsydw.vo.TestData;
import jakarta.annotation.Resource;
import org.nlsd.common.BaseResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 甲带给料机
 * @author Xu·LinPeng
 */
@RestController
@RequestMapping("/transform")
public class Jxpdjk {

    @Resource
    HttpClientService httpClientService;
    @Resource
    PointPosition pointPosition;

    @PostMapping("/jxpdjk")
    public BaseResponse<JSONObject> data(){


//        String var = pointPosition.getPointPosition("qsyjxpdjk");
//        String res = httpClientService.httpService(var);
//        Wrapper wrapper = JSON.parseObject(res, Wrapper.class);
//        List<ReadResults> readResultsList = wrapper.getReadResults();
        TestData testData = new TestData();
        List<ReadResults> readResultsList = testData.getListData();
        List<Map<String,Object>> list = new ArrayList<>();
        Map<String,Object> map = new HashMap<>();
        map.put("name","4#皮带");
        map.put("status",readResultsList.get(0).getV());
        list.add(map);
        Map<String,Object> map1 = new HashMap<>();
        map1.put("name","4#皮带");
        map1.put("status",readResultsList.get(9).getV());
        list.add(map1);


        List<Map<String,Object>> m = new ArrayList<>();
        Map<String,Object> map4 = new HashMap<>();
        List<String> var2 = new ArrayList<>();
        var2.add(readResultsList.get(1).getV());
        map4.put("name","远近控状态");
        map4.put("params", var2);
        m.add(map4);
        Map<String,Object> map5 = new HashMap<>();
        List<String> var3 = new ArrayList<>();
        var3.add(readResultsList.get(2).getV());
        map5.put("name","联锁模式");
        map5.put("params", var3);
        m.add(map5);
        Map<String,Object> map6 = new HashMap<>();
        List<String> var4 = new ArrayList<>();
        var4.add(readResultsList.get(3).getV());
        map6.put("name","区域闯入");
        map6.put("params", var4);
        m.add(map6);
        Map<String,Object> map7 = new HashMap<>();
        List<String> var5 = new ArrayList<>();
        var5.add(readResultsList.get(4).getV());
        map7.put("name","急停");
        map7.put("params", var5);
        m.add(map7);
        Map<String,Object> map8 = new HashMap<>();
        List<StatusVo> var6 = new ArrayList<>();
        var6.add(new StatusVo(readResultsList.get(5).getV()));
        map8.put("name","备妥信号");
        map8.put("params", var6);
        m.add(map8);
        Map<String,Object> map9 = new HashMap<>();
        List<StatusVo> var7 = new ArrayList<>();
        var7.add(new StatusVo(readResultsList.get(6).getV()));
        map9.put("name","烟雾");
        map9.put("params", var7);
        m.add(map9);
        Map<String,Object> map11 = new HashMap<>();
        List<StatusVo> var9 = new ArrayList<>();
        var9.add(new StatusVo(readResultsList.get(7).getV()));
        map11.put("name","纵断");
        map11.put("params", var9);
        m.add(map11);
        Map<String,Object> map12 = new HashMap<>();
        List<StatusVo> var10 = new ArrayList<>();
        var10.add(new StatusVo(readResultsList.get(8).getV()));
        map12.put("name","跑偏");
        map12.put("params", var10);
        m.add(map12);

        List<Map<String,Object>> m1 = new ArrayList<>();
        Map<String,Object> map14 = new HashMap<>();
        List<String> var12 = new ArrayList<>();
        var12.add(readResultsList.get(10).getV());
        map14.put("name","远近控状态");
        map14.put("params", var12);
        m1.add(map14);
        Map<String,Object> map15 = new HashMap<>();
        List<String> var13 = new ArrayList<>();
        var13.add(readResultsList.get(11).getV());
        map15.put("name","联锁模式");
        map15.put("params", var13);
        m1.add(map15);
        Map<String,Object> map16 = new HashMap<>();
        List<String> var14 = new ArrayList<>();
        var14.add(readResultsList.get(12).getV());
        map16.put("name","区域闯入");
        map16.put("params", var14);
        m1.add(map16);
        Map<String,Object> map17 = new HashMap<>();
        List<String> var15 = new ArrayList<>();
        var15.add(readResultsList.get(13).getV());
        map17.put("name","急停");
        map17.put("params", var15);
        m1.add(map17);
        Map<String,Object> map18 = new HashMap<>();
        List<StatusVo> var16 = new ArrayList<>();
        var16.add(new StatusVo(readResultsList.get(14).getV()));
        map18.put("name","备妥信号");
        map18.put("params", var16);
        m1.add(map18);
        Map<String,Object> map19 = new HashMap<>();
        List<StatusVo> var17 = new ArrayList<>();
        var17.add(new StatusVo(readResultsList.get(15).getV()));
        map19.put("name","烟雾");
        map19.put("params", var17);
        m1.add(map19);
        Map<String,Object> map21 = new HashMap<>();
        List<StatusVo> var19 = new ArrayList<>();
        var19.add(new StatusVo(readResultsList.get(16).getV()));
        map21.put("name","纵断");
        map21.put("params", var19);
        m1.add(map21);
        Map<String,Object> map22 = new HashMap<>();
        List<StatusVo> var20 = new ArrayList<>();
        var20.add(new StatusVo(readResultsList.get(17).getV()));
        map22.put("name","跑偏");
        map22.put("params", var20);
        m1.add(map22);

        JSONObject result = new JSONObject();
        result.put("list",list);
        result.put("m", m);
        result.put("m1",m1);
        return new BaseResponse<>(200,"OK",result,"请求成功");

    }

}
